package com.siwei.spatial.mapper.file;

import com.siwei.spatial.api.domain.file.TGeomDb;

import java.util.List;

/**
 * 空间入库存储Mapper接口
 * 
 * @author siwei
 * @date 2025-02-05
 */
public interface TGeomDbMapper 
{
    /**
     * 查询空间入库存储
     * 
     * @param id 空间入库存储主键
     * @return 空间入库存储
     */
    public TGeomDb selectTGeomDbById(String id);

    /**
     * 查询空间入库存储列表
     * 
     * @param tGeomDb 空间入库存储
     * @return 空间入库存储集合
     */
    public List<TGeomDb> selectTGeomDbList(TGeomDb tGeomDb);

    /**
     * 新增空间入库存储
     * 
     * @param tGeomDb 空间入库存储
     * @return 结果
     */
    public int insertTGeomDb(TGeomDb tGeomDb);

    /**
     * 修改空间入库存储
     * 
     * @param tGeomDb 空间入库存储
     * @return 结果
     */
    public int updateTGeomDb(TGeomDb tGeomDb);

    /**
     * 删除空间入库存储
     * 
     * @param id 空间入库存储主键
     * @return 结果
     */
    public int deleteTGeomDbById(String id);

    /**
     * 批量删除空间入库存储
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTGeomDbByIds(String[] ids);
}
